Skip to main content
GET
/
v1
/
prediction
/
search
Full-text search across instruments, events, and products
curl --request GET \
  --url https://api.aries.com/v1/prediction/search \
  --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "hits": [ { "symbol": "<string>", "eventId": "<string>", "productId": "<string>", "tradable": true, "eventDisplayName": "<string>", "question": "<string>", "eventQuestion": "<string>", "description": "<string>", "state": "<string>", "strikeValue": "<string>", "score": 123 } ], "found": 1, "page": 1 } }

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

q
string
required

Full-text query. Supports prefix matching (e.g. HORC_1126).

Example:

"House"

limit
integer

Hits per page (default 20, max 100).

Required range: 0 <= x <= 100
Example:

20

page
integer

1-indexed page number (default 1).

Required range: x >= 0
Example:

1

state
string

Exact-match filter on instrument state.

tradable
boolean

Filter to tradable or non-tradable instruments only.

Response

Search results

Standard prediction-market success envelope used by prediction historical-data and prediction-market reference endpoints. data is endpoint-specific.

success
boolean
required
Example:

true

data
object